"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiagnosticsManager = void 0;
class DiagnosticsManager {
    constructor(sendDiagnostics, docManager, getDiagnostics) {
        this.sendDiagnostics = sendDiagnostics;
        this.docManager = docManager;
        this.getDiagnostics = getDiagnostics;
    }
    updateAll() {
        this.docManager.getAllOpenedByClient().forEach((doc) => {
            this.update(doc[1]);
        });
    }
    async update(document) {
        let diagnostics = await this.getDiagnostics({ uri: document.getURL() });
        diagnostics = diagnostics.filter((diagnostic) => {
            const message = diagnostic.message;
            return message.indexOf('Expected if, each') === -1
                && (message.indexOf('has no default export') === -1
                    || message.indexOf('.svelte') === -1);
        });
        this.sendDiagnostics({
            uri: document.getURL(),
            diagnostics
        });
    }
    removeDiagnostics(document) {
        this.sendDiagnostics({
            uri: document.getURL(),
            diagnostics: []
        });
    }
}
exports.DiagnosticsManager = DiagnosticsManager;
//# sourceMappingURL=DiagnosticsManager.js.map